Test::Array::Iterator Class Reference

Base class for testing iterators More...

## Protected Member Functions

| Iterator (const std::string &name)
| Initialize test.
template<class Array>
bool | runTestForArray (Array &a)
| Perform actual tests.

## Static Protected Attributes

static const int | n = 16
| Maximum array size.

## Additional Inherited Members

Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual bool | run (void)=0
| Run test.
virtual | ~Base (void)
| Destructor.
Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Base class for testing iterators

Definition at line 64 of file array.cpp.

## Constructor & Destructor Documentation

## Iterator()

Test::Array::Iterator::Iterator | ( | const std::string & | name | ) |

inline protected

Initialize test.

Definition at line 69 of file array.cpp.

## Member Function Documentation

## runTestForArray()

template<class Array>

bool Test::Array::Iterator::runTestForArray | ( | Array & | a | ) |

inline protected

Perform actual tests.

Definition at line 71 of file array.cpp.

## Member Data Documentation

## n

const int Test::Array::Iterator::n = 16

static protected

Maximum array size.

Definition at line 67 of file array.cpp.

The documentation for this class was generated from the following file:

- test/array.cpp